Subject: Cuirass rebuilds the same packae multiple times
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Tue, 9 Feb 2021 14:19:15 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I've updated php yesterday and I noticed that cuirass is now busy
building dependents on aarch64. Looking at the log of some of them, it
seems that the workers are independently building the same php
derivation, and not the dependents, at the same time. This is extremely
wasteful as php is very long to build (and might even eventually fail).

here is an example: https://ci.guix.gnu.org/build/287478/details and
https://ci.guix.gnu.org/build/287476/details are being built at the
same time, and the logs currently show they are both running the test
phase of the php package.

Shouldn't cuirass first schedule builds for dependencies before it
builds dependents?